Package org.apache.ignite.spi.systemview.view

## Class CacheGroupView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.CacheGroupView

-     public class CacheGroupView
      extends Object

  Cache group representation for the `SystemView`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CacheGroupView​(org.apache.ignite.internal.processors.cache.CacheGroupDescriptor grp)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `affinity()` |
    `CacheAtomicityMode` | `atomicityMode()` |
    `int` | `backups()` |
    `int` | `cacheCount()` |
    `int` | `cacheGroupId()` |
    `String` | `cacheGroupName()` |
    `CacheMode` | `cacheMode()` |
    `String` | `dataRegionName()` |
    `boolean` | `isShared()` |
    `String` | `nodeFilter()` |
    `static String` | `nodeFilter​(CacheConfiguration<?,​?> ccfg)` |
    `PartitionLossPolicy` | `partitionLossPolicy()` |
    `int` | `partitionsCount()` |
    `long` | `rebalanceDelay()` |
    `CacheRebalanceMode` | `rebalanceMode()` |
    `int` | `rebalanceOrder()` |
    `String` | `topologyValidator()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheGroupView

          public CacheGroupView​(org.apache.ignite.internal.processors.cache.CacheGroupDescriptor grp)

      Parameters:
        `grp` - Cache group.

  - ### Method Detail

    - #### cacheGroupId

          public int cacheGroupId()

      Returns:
        Cache group id.

    - #### cacheGroupName

          public String cacheGroupName()

      Returns:
        Cache group name.

    - #### isShared

          public boolean isShared()

      Returns:
        `True` if group shared, `false` otherwise.

    - #### cacheCount

          public int cacheCount()

      Returns:
        Cache count.

    - #### cacheMode

          public CacheMode cacheMode()

      Returns:
        Cache mode.

    - #### atomicityMode

          public CacheAtomicityMode atomicityMode()

      Returns:
        Atomicity mode.

    - #### affinity

          public String affinity()

      Returns:
        Affinity string representation.

    - #### partitionsCount

          public int partitionsCount()

      Returns:
        Partitions count.

    - #### nodeFilter

          public String nodeFilter()

      Returns:
        Node filter string representation.

    - #### nodeFilter

          public static String nodeFilter​(CacheConfiguration<?,​?> ccfg)

      Parameters:
        `ccfg` - Cache configuration.
      Returns:
        Node filter string representation.

    - #### dataRegionName

          public String dataRegionName()

      Returns:
        Data region name.

    - #### topologyValidator

          public String topologyValidator()

      Returns:
        Topology validator.

    - #### partitionLossPolicy

          public PartitionLossPolicy partitionLossPolicy()

      Returns:
        Partition loss policy.

    - #### rebalanceMode

          public CacheRebalanceMode rebalanceMode()

      Returns:
        Cache rebalance mode.

    - #### rebalanceDelay

          public long rebalanceDelay()

      Returns:
        Rebalance delay.

    - #### rebalanceOrder

          public int rebalanceOrder()

      Returns:
        Rebalance order.

    - #### backups

          public int backups()

      Returns:
        Backups count.